# Creative Files

## Available methods <a href="#available-methods-0" id="available-methods-0"></a>

| Methods    | HTTP method | Endpoint                                                                                                                                                       | Description                                      |
| ---------- | ----------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------ |
| **Create** |             |                                                                                                                                                                |                                                  |
|            | POST        | [/v1/offers/{offer\_id}/creatives](/api-documentation/networkapi/offers/sub-resources/creative_files/upload_creative_file.md)                                  | Upload creative file                             |
| **Get**    |             |                                                                                                                                                                |                                                  |
|            | GET         | [/v1/offers/{offer\_id}/creatives](/api-documentation/networkapi/offers/sub-resources/creative_files/gets_the_creative_file_information_for_the_offer.md)      | Gets the creative file information for the offer |
| **Delete** |             |                                                                                                                                                                |                                                  |
|            | DELETE      | [/v1/offers/{offer\_id}/creatives/{creatives\_id}](/api-documentation/networkapi/offers/sub-resources/creative_files/deletes_a_creative_file_for_the_offer.md) | Delete a creative file for the offer             |
|            | DELETE      | [/v1/offers/{offer\_id}/creatives](/api-documentation/networkapi/offers/sub-resources/creative_files/delete_all_the_creative_files_of_the_offer.md)            | Delete all the creative files of the offer       |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://offerslook-api.gitbook.io/api-documentation/networkapi/offers/sub-resources/creative_files.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
